#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'nonlelang.cari_paket'}
#{/set}
<div class="container">
    #{cariTabMenu /}
    <div class="content tab-content">
        <form >
            <table class="table table-sm table-bordered">
                <tr>
                    <th class="bgwarning" width="10%">Kategori</th>
                    <td width="40%"><select name="kategoriId" class="form-control  selectpicker" data-width="auto" title="Pilih Kategori" onchange="javascript:this.form.submit();" >
                        #{list items:kategoriList, as:'item' }
                        <option value="${item.id}" #{if item.id == kategoriId} selected#{/if}>${item.nama}</option>
                        #{/list}
                        <option value="" #{if kategoriId == null} selected #{/if}>&{'nonlelang.semua'}</option>
                    </select></td>
                    <th class="bgwarning" width="10%">Tahun Anggaran</th>
                    <td width="40%"><select name="tahun"  class="form-control  selectpicker" data-width="auto" title="Pilih Tahun" onchange="javascript:this.form.submit();" >
                        #{list items:tahunList, as:'item' }
                        <option value="${item}" #{if item == tahun} selected #{/if}>${item}</option>
                        #{/list}
                        <option value="" #{if tahun == null} selected #{/if}>&{'nonlelang.semua'}</option>
                    </select></td>
                </tr>
                <tr>
                    <th class="bgwarning" width="10%">Nama K/L/PD</th>
                    <td> <select name="instansiId"  class="form-control  selectpicker" data-width="auto" data-live-search="true" title="Pilih Instansi" onchange="javascript:this.form.submit();" >
                        #{list items:instansiList, as:'item' }
                        <option value="${item.id}" #{if item.id == instansiId} selected#{/if}>${item.nama}</option>
                        #{/list}
                        <option value="" #{if instansiId == null} selected #{/if}>&{'nonlelang.semua'}</option>
                    </select></td>
                    <th class="bgwarning" width="10%">Nama Penyedia</th>
                    <td><input placeholder="Nama Penyedia" type="text" class="form-control" name="rekanan" id="rekanan" #{if rekanan} value="${rekanan}" #{/if}></td>
                </tr>
            </table>
        </form>
            <div class="tab-pane active">
            <table id="tbllelang" class="table table-sm">
                <thead>
                <tr>
                    <th width="10%">&{'nonlelang.kode'}</th>
                    <th width="50%">&{'nonlelang.nama_paket'}</th>
                    <th width="20%">&{'nonlelang.instansi'}</th>
                    <th width="15%">&{'nonlelang.tahap'}</th>
                    <th width="5%">&{'nonlelang.hps'}</th>
                </tr>
                </thead>
            </table>
            <div class="bs-callout bs-callout-warning">
                *) &{'nonlelang.link_muncul'}
            </div>
            </div>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<style type="text/css">
    .faq-cat-tabs li a {
        background-color: #ffffff;
        border: 1px solid #dddddd;
    }
</style>
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var pengumuman = #{jsRoute @nonlelang.PengadaanLCtr.pengumumanPl(':id') /};
    var viewTahap = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
    var table = $("#tbllelang").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        ajax: {
            url : "@{DataTableCtr.pl2(kategoriId, instansiId, tahun, rekanan)}",
            data: function (d) {
                d.authenticityToken = '${session.getAuthenticityToken()}';
            }
        },
        columns: [{
            render: function (data, type, row) {
                var id = row[0];
                var paket = row[1];
                var version = getLabelSpseVersion(row[7]);
                var flag = version.flag;
                var highlight = version.highlight;

                row[1] = '<p><a href="' + pengumuman.url({id: id}) + '" target="_blank">' + paket +
                         '</a> <span class="' + highlight + '">' + flag + '</span>' +
                        '<p>' + row[6] + ' - ' + row[5] + '</p>' +
                        '<p>&{'nonlelang.nilai_kontrak'} : ' + row[8]+ '</p>'

                if (row[10] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[1] += '&nbsp;<span class="' + lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }

                row[3] = '<a target="_blank" href="' + viewTahap.url({id: id}) + '" >' + row[3] + '</a>'
                return row[0];
            }
        }, null, null, {orderable: false, searchable: false}, null
        ]
    });
    $('#tbllelang_filter input').unbind();
    $('#tbllelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

    $('#rekanan').keypress(function (e) {
	    if (e.which == 13) {
		   this.form.submit();
	    }
    });
</script>
#{/set}